=== debian/changelog ===
dose3 (3.0.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Ralf Treinen <treinen@debian.org>  Wed, 03 Oct 2012 19:25:40 +0200

dose3 (3.0.2-2) experimental; urgency=low

  * Patch multiarch-conflicts: fix the translation of conflicts in case of
    multiarchs, a conflict on package p has to apply to p of all possible
    architectures. (closes: #685171). Patch extracted from the
    3.0.2-hotfix branch of the upstream git repository (commit
    a2f69265323d8cead088eeee2a731db582d3cc81). Thanks to Pietro Abate for
    having fixed this.
  * Patch apt-cudf-pinning: Fix version numbers in the package installation
    requests in the translation process from EDSP to CUDF (closes: #687643).
    Thanks to Pietro Abate for the patch!
  * Patch builddebcheck-manpage: Fix architecture options in the
    dose-builddebcheck manpage (closes: #680271).

 -- Ralf Treinen <treinen@debian.org>  Wed, 26 Sep 2012 17:21:15 +0200

dose3 (3.0.2-1) unstable; urgency=low

  * New upstream version:
    - Remove patch manpage-distcheck which has been applied upstream
  * debian/copyright:
    - fix continuation lines in the paragraph for connection-licence.
    - fix typo Licence -> License
  * debian/rules: in clean target, remove doc/debcheck-primer/version.tex
    since it should be generated.
  * fix the version number that upstream forgot to bump:
    - add patch version-3.0.2
    - add automake and autoconf to build-dependencies
    - call aclocal and autconf in the configure target of debian/rules

 -- Ralf Treinen <treinen@debian.org>  Wed, 27 Jun 2012 11:24:15 +0200

dose3 (3.0.1-1) unstable; urgency=low

  * New upstream version
  * Remove patch manpages-section5 which has been applied by upstream
  * Install upstream's version of apt-cudf-get script and manpage, drop our
    version in debian/
  * Patch manpage-distcheck: some improvements to distcheck manpage.
  * debian/copyright:
    - put files paragraph with more general file pattern first
    - add BSD-ish license for db/sqlite/sqlitext/connection.h
      (thanks to Ansgar Burchardt for the remark).

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Jun 2012 19:58:39 +0200

dose3 (2.9.17-1) unstable; urgency=low

  * New upstream version.
    - refreshed patch binaries-prefix-edos
  * New file debian/apt-cudf.conf, install into /etc
  * debian/apt-cudf.manpages: install apt-cudf.conf
  * patch manpages-section5: apt-cudf.conf manpage is section 5 not 1
  * debian/rules: deactivate dh_auto_test for now as the upstream tarball
    does not contain the necessary data for the tests.
  * New file debian/apt-cudf-get, install into /usr/bin
  * Write a manpage for apt-cudf-get, install in the apt-cudf package.

 -- Ralf Treinen <treinen@debian.org>  Thu, 31 May 2012 22:35:14 +0200

dose3 (2.9.15-1) unstable; urgency=low

  * New upstream version. This version fixes a bug in the printing of
    debian package versions (closes: #665378)
  * Remove patch dont-strip-bytecode, now integrated by upstream.

 -- Ralf Treinen <treinen@debian.org>  Fri, 30 Mar 2012 15:29:07 +0200

dose3 (2.9.14-3) unstable; urgency=low

  * fix a typo in long description of dose-extra
  * put an empty directory /usr/lib/apt/solvers into the apt-cudf package
    so that dpkg knows it has to remove it on package removal.
    (closes: #664860)

 -- Ralf Treinen <treinen@debian.org>  Wed, 21 Mar 2012 21:00:31 +0100

dose3 (2.9.14-2) unstable; urgency=low

  * patch dont-strip-bytecode: install must not try to strip executables
    when compilation to bytecode. Fixes an FTBFS on architectures with
    compilation to bytecode.

 -- Ralf Treinen <treinen@debian.org>  Sat, 17 Mar 2012 19:24:48 +0100

dose3 (2.9.14-1) unstable; urgency=low

  * New upstream version
    - ported patch binaries-prefix-edos to the new upstream version
  * debian/control: add {$perl:Depends} to dependencies of apt-cudf
    (closes: Bug#659834)
  * debian/control: use Conflicts and Removes to remove old versions of
    binary packages from before the renaming:
    - dose-distcheck conflicts with dose3-distcheck
    - dose-builddebcheck conflicts with dose3-builddebcheck
  * Rename ceve to dose-ceve (binary and manpage)
  * Standards-Version 3.9.3
    - debian/copyright: machine readable format 1.0
  * package libdose3-ocaml: only install files dll*stubs.so
  * build and install the debcheck primer:
    - debian/control: add build-dependency on hevea, texlive-latex-base,
      texlive-latex-extra
    - debian/rules: compile the primer
    - add debian/dose-distchecks.{docs, doc-base}

 -- Ralf Treinen <treinen@debian.org>  Fri, 16 Mar 2012 19:31:34 +0100

dose3 (2.9.13-1) experimental; urgency=low

  * New upstream release - now almost ready for sid!
  * The ceve package has disappeared, we have instead now a new package
    dose-extra that contains all tools that do not deserve their own
    package (for the moment: ceve, outdated, challenged).
  * Packages for distcheck and builddebcheck have prefix dose- now.
    Binaries (except ceve and apt-cudf) also have prefix dose.
  * debian/rules:
    - configuration option --with-rpm has become --with-rpm4
    - upstream has fixed installation of algo.a, we can now remove our own
      hack in override_auto_install.
  * debian/control:
    - The apt-cudf package now depends first on aspcud before the virtual
      package cudf-solver
    - add ${shlibs:Depends} to dependencies of libdose3-ocaml-dev
    - Bump build-dependency on cudf to 0.6.2
    - Added build-dependency on perl needed for building the manpages
      using pod2man, and on graphviz which is needed to build the
      dependency graph of modules in the documentation.
  * generate documentation with ocamldoc (make doc) and install it in the
    libdose3-ocaml-dev package. Add an doc-base entry for the documentation.
  * debian/copyright: update (files common/url.ml, deb/version.ml)

 -- Ralf Treinen <treinen@debian.org>  Tue, 07 Feb 2012 21:41:12 +0100

dose3 (2.9.8-1) experimental; urgency=low


