=== debian/rules ===
#!/usr/bin/make -f

RELEASE = $(shell dpkg-parsechangelog | grep ^Version: | cut -f 2 -d' ')
%:
	dh $@ --with ocaml

override_dh_auto_configure:
	rm -f doc/debcheck-primer/version.tex
	aclocal -I m4
	autoconf
	./configure --with-ocamlgraph --with-zip --with-bz2 --with-rpm4

override_dh_auto_install:
	dh_auto_install
	cd debian/tmp/usr/bin \
		&& mv distcheck dose-distcheck \
		&& mv deb-buildcheck dose-builddebcheck \
		&& mv outdated dose-outdated \
		&& mv challenged dose-challenged \
		&& mv ceve dose-ceve

override_dh_installman:
	dh_installman
	cd debian/dose-distcheck/usr/share/man/man1 \
		&& mv distcheck.1 dose-distcheck.1
	cd debian/dose-extra/usr/share/man/man1 \
		&& mv outdated.1 dose-outdated.1 \
		&& mv challenged.1 dose-challenged.1 \
		&& mv ceve.1 dose-ceve.1 
	cd debian/dose-builddebcheck/usr/share/man/man1 \
		&& mv buildcheck.1 dose-builddebcheck.1

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc
	cd doc/debcheck-primer && $(MAKE) 
	pod2man --section 8 -release "apt-cudf $(RELEASE)" \
		debian/update-cudf-solvers > debian/update-cudf-solvers.8

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/update-cudf-solvers.8
	rm -f _tags

override_dh_auto_test:
	# do nothing
