=== doc/webpages/Makefile ===
all: refresh
refresh:
	ikiwiki --setup local.setup --verbose --refresh

rebuild:
	ikiwiki --setup local.setup --verbose --rebuild

.phony: refresh rebuild
