=== debian/changelog ===
dose3 (3.1.3-7build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:01:47 +0000

dose3 (3.1.3-7) unstable; urgency=low

  * patch ocaml-4.1-zip: fix _tags.in to avoid multiple pp options
    (closes: #731701).

 -- Ralf Treinen <treinen@debian.org>  Mon, 09 Dec 2013 21:32:31 +0100

dose3 (3.1.3-6) unstable; urgency=low

  * patch ocaml-4.1: fix FTBFS with ocaml 4.01. Thanks a lot to Pietro
    Abate for his help (closes: #731277)
  * Standards-version 3.9.5 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 06 Dec 2013 20:23:42 +0100

dose3 (3.1.3-5) unstable; urgency=low

  * debian/rules: "make clean" only when Makefile.config exists
    (closes: #723864)

 -- Ralf Treinen <treinen@debian.org>  Fri, 20 Sep 2013 21:19:25 +0200

dose3 (3.1.3-4) unstable; urgency=low

  * migrate doc/manpages/ceve.pod to the stricter format of pod2man from 
    perl 5.18.1 (closes: #719866).

 -- Ralf Treinen <treinen@debian.org>  Fri, 16 Aug 2013 18:52:15 +0200

dose3 (3.1.3-3) unstable; urgency=low

  * upload to unstable

 -- Ralf Treinen <treinen@debian.org>  Tue, 07 May 2013 20:41:52 +0200

dose3 (3.1.3-2) experimental; urgency=low

  * Fix FTBFS on architectures not supporting dynamic loading:
    - new patch configure-dynlink, provided by Mehdi Dogguy
    - debian/control: add build-dependency on automake, autoconf
    - debian/rules: dh_auto_configure calls aclocal and autoconf
  
 -- Ralf Treinen <treinen@debian.org>  Sun, 20 Jan 2013 17:34:42 +0100

dose3 (3.1.3-1) experimental; urgency=low

  * New upstream version. This version fixes the invocation of the clean
    target in doc/ makefiles (closes: #687651).
  * debian/{watch.copyright}: new location of upstream on gforge.inria.fr
  * dropped patches:
    - version-3.0.2 since upstream got the version right.
    - multiarch-conflicts (fixed by upstream)
    - apt-cudf-pinning (fixed by upstream)
    - builddebcheck-manpage (fixed by upstream)
  * we dont't have to call aclocal and autoconf any more (since patch 
    version-3.0.2 has been dropped), drop them from debian/rules and from
    the build-dependencies.
  * refreshed patch binaries-prefix-edos for the new upstream version
    (closes: #687576).
  * debian/rules, debian/dose-distcheck.{docs,doc-base}: the directory
    doc/debcheck-primer has been renamed to doc/debcheck.primer
  * patch doc-makefile-html: do not generate html version of man pages
  * Standards-Version 3.9.4 (no change).

 -- Ralf Treinen <treinen@debian.org>  Sun, 13 Jan 2013 21:57:55 +0100
