=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 	dh $@ --with ocaml
 
 override_dh_auto_configure:
-	rm -f doc/debcheck-primer/version.tex
-	aclocal -I m4
-	autoconf
+	rm -f doc/debcheck.primer/version.tex
+	# use the following line when autoconf stuff is patched
+	aclocal -I m4 && autoconf
 	./configure --with-ocamlgraph --with-zip --with-bz2 --with-rpm4
 
 override_dh_auto_install:
@@ -33,12 +33,12 @@
 override_dh_auto_build:
 	dh_auto_build
 	$(MAKE) doc
-	cd doc/debcheck-primer && $(MAKE) 
+	cd doc/debcheck.primer && $(MAKE) 
 	pod2man --section 8 -release "apt-cudf $(RELEASE)" \
 		debian/update-cudf-solvers > debian/update-cudf-solvers.8
 
 override_dh_auto_clean:
-	dh_auto_clean
+	! [[ -f Makefile.config ]] || make distclean
 	rm -f debian/update-cudf-solvers.8
 	rm -f _tags
