=== debian/watch ===
version=3
https://gforge.inria.fr/frs/?group_id=4395 .*/dose3-(.*)\.tar\.gz
