=== debian/changelog ===
dose3 (3.2.2-2b1) staging; urgency=high

  * No-change rebuild against updated ocaml libraries

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 17 Sep 2014 15:11:35 +0000

dose3 (3.2.2-2) unstable; urgency=medium

  * patch buildcheck-manpage: extend explanation of the -e option of
    dose-builddebcheck (closes: #750078)
  * Add a transitional package for edos-distcheck. This makes the
    following source packages obsolete: pkglab, dose2.

 -- Ralf Treinen <rt@seneca.home.org>  Sun, 27 Jul 2014 20:48:31 +0200

dose3 (3.2.2-1) unstable; urgency=low

  * New upstream release.
  * Adapt patch binaries-prefix-edos, the target override_dh_installman
    in debian/rules, and debian/dose-extra.manpages to the new name of
    the debcoinstall manpage.

 -- Ralf Treinen <treinen@debian.org>  Tue, 27 May 2014 21:17:32 +0200

dose3 (3.2~rc3-1) experimental; urgency=low

  * New upstream release candidate
  * Install dose-deb-coinstall manpage
  * patch coinstall-binary-name: accept "dose-deb-coinstall" as alternative
    name of the coinstall binary.

 -- Ralf Treinen <treinen@debian.org>  Tue, 06 May 2014 20:00:50 +0200

dose3 (3.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Install deb-coinstall in the dose-extra package.

 -- Ralf Treinen <treinen@debian.org>  Sun, 04 May 2014 22:42:34 +0200

dose3 (3.2~rc1-1) experimental; urgency=low
  
  * New upstream release candidate. This release fixes a bug related to
    multiarch (closes: #727642)
  * Update build-dependency according to upstream's INSTALL instructions:
    - libocamlgraph-ocaml-dev: >= 1.8.5 (closes: #745307)		
    - replace libpcre-ocaml-dev by libre-ocaml-dev
    - bump libcudf to >= 0.7
    - drop automake, autoconf
  * debian/rules: don't run aclocal & autoconf
  * Drop debian patches that have become obsolete:
    - pod2man-5.18
    - configure-dynlink
    - ocaml-4.1
    - ocaml-4.1-zip
    - doc-makefile-html
  * Refreshed patches:
    - binaries-prefix-edos

 -- Ralf Treinen <treinen@debian.org>  Wed, 30 Apr 2014 20:02:59 +0200
