=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: Stefano Zacchiroli <zack@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9~),
- automake, autoconf,
+# use the following line only when autoconf stuff has been patched:
+# automake, autoconf,
  ocaml-nox (>= 3.11.1-3~), camlp4,
- libpcre-ocaml-dev,
+ libre-ocaml-dev,
  libextlib-ocaml-dev,
- libocamlgraph-ocaml-dev,
- libcudf-ocaml-dev (>= 0.6.2),
+ libocamlgraph-ocaml-dev (>= 1.8.5),
+ libcudf-ocaml-dev (>= 0.7),
  libzip-ocaml-dev, libbz2-ocaml-dev, librpm-dev (>= 4.8),
  perl, graphviz, hevea, texlive-latex-base, texlive-latex-extra
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.mancoosi.org/software/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/dose3.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/dose3.git
@@ -101,6 +102,8 @@
   - dose-challenged, a debian-specific tool for checking which packages
     will certainly become uninstallable when some existing package is upgraded
     to a newer version.
+  - dose-coinstall, a debian-specific tool for checking whether a set of
+    packages can be installed all together.
  The tools dose-distcheck and dose-builddebcheck are packaged in their
  own resepective packages.
 
@@ -125,3 +128,12 @@
  .
  Several CUDF solvers are available in Debian. They all provide the cudf-solver
  virtual package.
+
+Package: edos-distcheck
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends: ${misc:Depends}, dose-distcheck, dose-builddebcheck
+Description: Checks dependencies of packages (transitional package)
+ This is a transitional package which can be safely removed, its only
+ purpose is to ease the transition to the dose3 tools.
